#include <bits/stdc++.h>
using namespace std;
using ll = long long;
using ld = double;
#define all(x) (x).begin(), (x).end()
#define int long long
vector<int> str_to_vec(string a) {
    vector<int>res;
    for(char c:a) {
        res.push_back((int)(c-'0'));
    }
    return res;
}
string vec_to_str(vector<int> a) {
    string res;
    for(int i:a) {
        res.push_back((char)('0'+i));
    }
    return res;
}

vector<int> sum(vector<int> a, vector<int> b) {
    vector<int>res;
    reverse(a.begin(), a.end());
    reverse(b.begin(), b.end());
    for(int i=0; i<max(a.size(), b.size()); i++) {
        if(i>=a.size())res.push_back(b[i]);
        else if(i>=b.size())res.push_back(a[i]);
        else res.push_back(max(a[i], b[i]));
    }
    reverse(res.begin(), res.end());
    return res;
}

vector<int> mult(vector<int> a, vector<int> b) {
    vector<int>res={};
    reverse(b.begin(), b.end());
    for(int i=0; i<b.size(); i++) {
        vector<int>t;
        for(int j:a) {
            t.push_back(min(b[i],j));
        }
        for(int j=0; j<i; j++)t.push_back(0);
        res=sum(res, t);
    }
    return res;
}

void solve() {
    string a, b;
    cin >> a >>b;
    int res=0;
    vector<int> x=str_to_vec(a);
    vector<int> y=str_to_vec(b);
    cout << vec_to_str(sum(x,y)) << ' ';
    cout << vec_to_str(mult(x,y));
}

signed main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int qwe = 1;
    // cin >> qwe;
    while (qwe--) {
        solve();
    }
    return 0;
}
